#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

%define		module decorator
Summary:	Bunch of nice decorators for Python 2
Summary(pl.UTF-8):	Zbiór ładnych dekoratorów dla Pythona 2
Name:		python-%{module}
Version:	3.4.0
Release:	3
License:	BSD
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/d/decorator/%{module}-%{version}.tar.gz
# Source0-md5:	1e8756f719d746e2fc0dd28b41251356
URL:		https://pypi.python.org/pypi/decorator/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	python-modules >= 1:2.4
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 3.2
BuildRequires:	python3-modules >= 3.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.612
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bunch of nice decorators for Python 2 like memoize, tracing,
redirecting_stdout, locked.

%description -l pl.UTF-8
Zbiór ładnych dekoratorów dla Pythona 2: memoize, tracing,
redirecting_stdout, locked...

%package -n python3-%{module}
Summary:	Bunch of nice decorators for Python 3
Summary(pl.UTF-8):	Zbiór ładnych dekoratorów dla Pythona 3
Group:		Libraries/Python

%description -n python3-%{module}
Bunch of nice decorators for Python 3 like memoize, tracing,
redirecting_stdout, locked.

%description -n python3-%{module} -l pl.UTF-8
Zbiór ładnych dekoratorów dla Pythona 3: memoize, tracing,
redirecting_stdout, locked...

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%{__python} setup.py build \
	--build-base build-2
%endif
%if %{with python3}
%{__python3} setup.py build \
	--build-base build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build \
		--build-base build-2 \
	install \
		--optimize=2 \
		--root=$RPM_BUILD_ROOT

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build \
		--build-base build-3 \
	install \
		--optimize=2 \
		--root=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.txt documentation.py
%{py_sitescriptdir}/decorator.py[co]
%{py_sitescriptdir}/decorator-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.txt documentation.py
%{py3_sitescriptdir}/decorator.py
%{py3_sitescriptdir}/__pycache__/decorator.*.py[co]
%{py3_sitescriptdir}/decorator-%{version}-py*.egg-info
%endif
%changelog
* Sun Oct 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-decorator.git;a=log;h=auto/th/python-decorator-3.4.0-3

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 12f7fce
- python 3.4
- release 3 (by relup.sh)

* Fri Mar 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 9f1dcfe
- added python3 module; release 2

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 8520a43
- up to 3.4.0

* Sun Oct 14 2012 Jakub Bogusz <qboosh@pld-linux.org> fb66e5d
- updated to 3.3.3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 22a4cdb
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 5932135
- release 4

* Tue Sep 21 2010 Elan Ruusamäe <glen@pld-linux.org> ad5bd06
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c22de05
- release 2

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> df108cb
- up to 3.0.1

* Sun Jan 04 2009 wrobell <wrobell@pld-linux.org> 8a1c335
- ver. 3.0.0
- use up-to-date uri's

* Mon Oct 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 69e0f51
- pygtk epoch

* Sun Oct 12 2008 Elan Ruusamäe <glen@pld-linux.org> e8029d4
- python epoch

* Sun Oct 12 2008 Patryk Zawadzki <patrys@room-303.com> d6509e9
- 2.3.1
- patch by Lukasz Kies <kiesiu at kiesiu com>

* Mon Apr 14 2008 Jakub Bogusz <qboosh@pld-linux.org> a6b812b
- pl, unified

* Mon Sep 10 2007 wrobell <wrobell@pld-linux.org> 1767f40
- fixed license

* Mon Sep 10 2007 wrobell <wrobell@pld-linux.org> 8f90b11
- based on python-gaphas.spec

